# -*- coding: utf-8 -*-
"""
/***************************************************************************
 IndoorGMLReader
                                 A QGIS plugin
 This plugin reads the content of an IndoorGML schema file.
                             -------------------
        begin                : 2016-11-06
        copyright            : (C) 2016 by Alfonso Mariscal Garcia
        email                : amariscalg@uoc.edu
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load IndoorGMLReader class from file IndoorGMLReader.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .indoorgml_reader import IndoorGMLReader
    return IndoorGMLReader(iface)
